package com.ximai.mes.md.vo;

import com.ximai.common.core.domain.BaseEntity;

/**
 * 产品工厂配置对象 md_product_factory
 *
 * @author yinjinlu
 * @date 2024-01-17
 */
public class MdProductFactoryVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 产品工厂id */
    private Long productFactoryId;

    /** 产品id */
    private Long itemId;

    /** 工厂id */
    private Long factoryId;

    /** 工厂名称 */
    private String factoryName;

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public Long getFactoryId() {
        return factoryId;
    }

    public void setFactoryId(Long factoryId) {
        this.factoryId = factoryId;
    }

    public void setProductFactoryId(Long productFactoryId)
    {
        this.productFactoryId = productFactoryId;
    }

    public Long getProductFactoryId()
    {
        return productFactoryId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }

}
